Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sudokugamej2se11
Class Cell

    java.lang.Object
      sudokugamej2se11.Cell

    public class Cell

extends java.lang.Object

A Sudoku tábla celláit reprezentáló osztály.

Constructor Summary
`Cell(int row, int column)` Egy cella objektumot létrehozó konstruktor

Method Summary
`java.awt.Color` | `getColor()` Visszaadja a cella színét.
`int` | `getColumn()` Visszaadja a cella oszlopszámát
`int` | `getRow()` Visszaadja a cella sorszámát
`int` | `getValue()` Visszaadja a cella értékét
`boolean` | `isConstant()` Megmondja, hogy a cella tartalma módosítható-e.
`void` | `setColor(java.awt.Color color)` Beállítja a cella színét
`void` | `setConstant()` A cella 'konstans' jelzőjét igazra állítja
`void` | `setValue(int value)` A cella értékét módosítja a megadott megadott értékre.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cell

    public Cell(int row,
                int column)

  Egy cella objektumot létrehozó konstruktor

  Parameters:
    `row` - A cella sorszáma
    `column` - A cella oszlopszáma

Method Detail

### setValue

    public void setValue(int value)

  A cella értékét módosítja a megadott megadott értékre.

  Parameters:
    `value` - Az új érték

### setConstant

    public void setConstant()

  A cella 'konstans' jelzőjét igazra állítja

### setColor

    public void setColor(java.awt.Color color)

  Beállítja a cella színét

  Parameters:
    `color` - A cella új színe

### getRow

    public int getRow()

  Visszaadja a cella sorszámát

  Returns:
    A cella sorszáma

### getColumn

    public int getColumn()

  Visszaadja a cella oszlopszámát

  Returns:
    A cella oszlopszáma

### getValue

    public int getValue()

  Visszaadja a cella értékét

  Returns:
    A cella értéke

### isConstant

    public boolean isConstant()

  Megmondja, hogy a cella tartalma módosítható-e.

  Returns:
    true, ha a cella konstans, false egyébként.

### getColor

    public java.awt.Color getColor()

  Visszaadja a cella színét.

  Returns:
    A cella színe.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD